package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 买家信息 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvBuyerDao;
import com.heyu.api.data.entity.vv.VvBuyerEntity;
import com.heyu.api.data.service.vv.VvBuyerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvBuyerServiceImpl extends ServiceImpl<VvBuyerDao, VvBuyerEntity> implements VvBuyerService {


    @Autowired
	private VvBuyerDao vvBuyerDao;



	@Override
	public VvBuyerEntity selectVvBuyerById(Long id){
		return vvBuyerDao.selectVvBuyerById(id);
	}



	@Override
	public Long insertVvBuyer(VvBuyerEntity vvBuyer){
		return vvBuyerDao.insertVvBuyer(vvBuyer);
	}



	@Override
	public Long insertOrUpdateVvBuyer(VvBuyerEntity vvBuyer){
		return vvBuyerDao.insertOrUpdateVvBuyer(vvBuyer);
	}



	@Override
	public int updateVvBuyerById(VvBuyerEntity vvBuyer){
		return vvBuyerDao.updateVvBuyerById(vvBuyer);
	}



	@Override
	public int updateCoverVvBuyerById(VvBuyerEntity vvBuyer){
		return vvBuyerDao.updateCoverVvBuyerById(vvBuyer);
	}



	@Override
	public int deleteVvBuyerById(Long id){
		return vvBuyerDao.deleteVvBuyerById(id);
	}



}
